Bug 720139 - [abrt] desktopcouch-tools-0.6.9b-2.fc15: ubuntuone.py:6:<module>:ImportError: No module named ubuntu_sso
Summary: [abrt] desktopcouch-tools-0.6.9b-2.fc15: ubuntuone.py:6:<module>:ImportError:...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: desktopcouch
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:da3a0179aea2e388ec3e33315fd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-10 05:52 UTC by Egon Kastelijn
Modified: 2013-09-23 00:41 UTC (History)
2 users (show)

Fixed In Version: desktopcouch-1.0.8-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-17 00:25:37 UTC
Type: ---


Attachments (Terms of Use)
backtrace under Fedora 17 (10.71 KB, text/plain)
2012-08-07 19:06 UTC, Egon Kastelijn
no flags Details

Description Egon Kastelijn 2011-07-10 05:52:53 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        /usr/bin/python /usr/bin/desktopcouch-pair
component:      desktopcouch
executable:     /usr/bin/desktopcouch-pair
kernel:         2.6.38.8-32.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        desktopcouch-tools-0.6.9b-2.fc15
reason:         ubuntuone.py:6:<module>:ImportError: No module named ubuntu_sso
time:           Sun Jul 10 07:49:16 2011
uid:            500
username:       egon

backtrace:
:ubuntuone.py:6:<module>:ImportError: No module named ubuntu_sso
:
:Traceback (most recent call last):
:  File "/usr/bin/desktopcouch-pair", line 910, in <module>
:    main(sys.argv)
:  File "/usr/bin/desktopcouch-pair", line 899, in main
:    pick_or_listen = PickOrListen()
:  File "/usr/bin/desktopcouch-pair", line 767, in __init__
:    self.pick_pane = self.create_pick_pane(top_vbox)
:  File "/usr/bin/desktopcouch-pair", line 468, in create_pick_pane
:    import desktopcouch.replication_services as services
:  File "/usr/lib/python2.7/site-packages/desktopcouch/replication_services/__init__.py", line 3, in <module>
:    import ubuntuone
:  File "/usr/lib/python2.7/site-packages/desktopcouch/replication_services/ubuntuone.py", line 6, in <module>
:    import ubuntu_sso
:ImportError: No module named ubuntu_sso
:
:Local variables in innermost frame:
:logging: None
:dbus: None
:__builtins__: {'bytearray': <type 'bytearray'>, 'IndexError': <type 'exceptions.IndexError'>, 'all': <built-in function all>, 'help': Type help() for interactive help, or help(object) for help about object., 'vars': <built-in function vars>, 'SyntaxError': <type 'exceptions.SyntaxError'>, 'unicode': <type 'unicode'>, 'UnicodeDecodeError': <type 'exceptions.UnicodeDecodeError'>, 'memoryview': <type 'memoryview'>, 'isinstance': <built-in function isinstance>, 'copyright': Copyright (c) 2001-2010 Python Software Foundation.
:All Rights Reserved.
:
:Copyright (c) 2000 BeOpen.com.
:All Rights Reserved.
:
:Copyright (c) 1995-2001 Corporation for National Research Initiatives.
:All Rights Reserved.
:
:Copyright (c) 1991-1995 Stichting Mathematisch Centrum, Amsterdam.
:All Rights Reserved., 'NameError': <type 'exceptions.NameError'>, 'BytesWarning': <type 'exceptions.BytesWarning'>, 'dict': <type 'dict'>, 'input': <built-in function input>, 'oct': <built-in function oct>, 'bin': <built-in function bin>, 'SystemExit': <type 'exceptions.SystemExit'>, 'StandardError': <type 'exceptions.StandardError'>, 'format': <built-in function format>, 'repr': <built-in function repr>, 'sorted': <built-in function sorted>, 'False': False, 'RuntimeWarning': <type 'exceptions.RuntimeWarning'>, 'list': <type 'list'>, 'iter': <built-in function iter>, 'reload': <built-in function reload>, 'Warning': <type 'exceptions.Warning'>, '__package__': None, 'round': <built-in function round>, 'dir': <built-in function dir>, 'cmp': <built-in function cmp>, 'set': <type 'set'>, 'bytes': <type 'str'>, 'reduce': <built-in function reduce>, 'intern': <built-in function intern>, 'issubclass': <built-in function issubclass>, 'Ellipsis': Ellipsis, 'EOFError': <type 'exceptions.EOFError'>, 'locals': <built-in function locals>, 'BufferError': <type 'exceptions.BufferError'>, 'slice': <type 'slice'>, 'FloatingPointError': <type 'exceptions.FloatingPointError'>, 'sum': <built-in function sum>, 'getattr': <built-in function getattr>, 'abs': <built-in function abs>, 'exit': Use exit() or Ctrl-D (i.e. EOF) to exit, 'print': <built-in function print>, 'True': True, 'FutureWarning': <type 'exceptions.FutureWarning'>, 'ImportWarning': <type 'exceptions.ImportWarning'>, 'None': None, 'hash': <built-in function hash>, 'ReferenceError': <type 'exceptions.ReferenceError'>, 'len': <built-in function len>, 'credits':     Thanks to CWI, CNRI, BeOpen.com, Zope Corporation and a cast of thousands
:    for supporting Python development.  See www.python.org for more information., 'frozenset': <type 'frozenset'>, '__name__': '__builtin__', 'ord': <built-in function ord>, 'super': <type 'super'>, '_': <bound method NullTranslations.gettext of <gettext.NullTranslations instance at 0x2eac8c0>>, 'TypeError': <type 'exceptions.TypeError'>, 'license': See http://www.python.org/2.7/license.html, 'KeyboardInterrupt': <type 'exceptions.KeyboardInterrupt'>, 'UserWarning': <type 'exceptions.UserWarning'>, 'filter': <built-in function filter>, 'range': <built-in function range>, 'staticmethod': <type 'staticmethod'>, 'SystemError': <type 'exceptions.SystemError'>, 'BaseException': <type 'exceptions.BaseException'>, 'pow': <built-in function pow>, 'RuntimeError': <type 'exceptions.RuntimeError'>, 'float': <type 'float'>, 'MemoryError': <type 'exceptions.MemoryError'>, 'StopIteration': <type 'exceptions.StopIteration'>, 'globals': <built-in function globals>, 'divmod': <built-in function divmod>, 'enumerate': <type 'enumerate'>, 'apply': <built-in function apply>, 'LookupError': <type 'exceptions.LookupError'>, 'open': <built-in function open>, 'quit': Use quit() or Ctrl-D (i.e. EOF) to exit, 'basestring': <type 'basestring'>, 'UnicodeError': <type 'exceptions.UnicodeError'>, 'zip': <built-in function zip>, 'hex': <built-in function hex>, 'long': <type 'long'>, 'next': <built-in function next>, 'ImportError': <type 'exceptions.ImportError'>, 'chr': <built-in function chr>, 'xrange': <type 'xrange'>, 'type': <type 'type'>, '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", 'Exception': <type 'exceptions.Exception'>, 'tuple': <type 'tuple'>, 'UnicodeTranslateError': <type 'exceptions.UnicodeTranslateError'>, 'reversed': <type 'reversed'>, 'UnicodeEncodeError': <type 'exceptions.UnicodeEncodeError'>, 'IOError': <type 'exceptions.IOError'>, 'hasattr': <built-in function hasattr>, 'delattr': <built-in function delattr>, 'setattr': <built-in function setattr>, 'raw_input': <built-in function raw_input>, 'SyntaxWarning': <type 'exceptions.SyntaxWarning'>, 'compile': <built-in function compile>, 'ArithmeticError': <type 'exceptions.ArithmeticError'>, 'str': <type 'str'>, 'property': <type 'property'>, 'GeneratorExit': <type 'exceptions.GeneratorExit'>, 'int': <type 'int'>, '__import__': <built-in function __import__>, 'KeyError': <type 'exceptions.KeyError'>, 'coerce': <built-in function coerce>, 'PendingDeprecationWarning': <type 'exceptions.PendingDeprecationWarning'>, 'file': <type 'file'>, 'EnvironmentError': <type 'exceptions.EnvironmentError'>, 'unichr': <built-in function unichr>, 'id': <built-in function id>, 'OSError': <type 'exceptions.OSError'>, 'DeprecationWarning': <type 'exceptions.DeprecationWarning'>, 'min': <built-in function min>, 'UnicodeWarning': <type 'exceptions.UnicodeWarning'>, 'execfile': <built-in function execfile>, 'any': <built-in function any>, 'complex': <type 'complex'>, 'bool': <type 'bool'>, 'ValueError': <type 'exceptions.ValueError'>, 'NotImplemented': NotImplemented, 'map': <built-in function map>, 'buffer': <type 'buffer'>, 'max': <built-in function max>, 'object': <type 'object'>, 'TabError': <type 'exceptions.TabError'>, 'callable': <built-in function callable>, 'ZeroDivisionError': <type 'exceptions.ZeroDivisionError'>, 'eval': <built-in function eval>, '__debug__': True, 'IndentationError': <type 'exceptions.IndentationError'>, 'AssertionError': <type 'exceptions.AssertionError'>, 'classmethod': <type 'classmethod'>, 'UnboundLocalError': <type 'exceptions.UnboundLocalError'>, 'NotImplementedError': <type 'exceptions.NotImplementedError'>, 'AttributeError': <type 'exceptions.AttributeError'>, 'OverflowError': <type 'exceptions.OverflowError'>}
:__file__: None
:__package__: None
:httplib2: None
:oauth: None
:__name__: None
:__doc__: None

comment:
:I started /usr/bin/desktopcouch-pair
:
:$ /usr/bin/desktopcouch-pair
:2011-07-10 07:50:03,128 [23171] root:DEBUG:  starting couchdb pairing tool
:2011-07-10 07:50:03,137 [23171] root:INFO:  Connecting to discovered local port.
:2011-07-10 07:50:03,503 [23171] root:INFO:  Connecting to discovered local port.
:2011-07-10 07:50:03,557 [23171] root:INFO:  Connecting to discovered local port.
:2011-07-10 07:50:03,690 [23171] root:DEBUG:  found 1 self_identity records
:2011-07-10 07:50:03,690 [23171] root:DEBUG:  paired back-connecting machine count is 0
:2011-07-10 07:50:03,690 [23171] root:DEBUG:  exiting couchdb pairing tool
:Traceback (most recent call last):
:  File "/usr/bin/desktopcouch-pair", line 910, in <module>
:    main(sys.argv)
:  File "/usr/bin/desktopcouch-pair", line 899, in main
:    pick_or_listen = PickOrListen()
:  File "/usr/bin/desktopcouch-pair", line 767, in __init__
:    self.pick_pane = self.create_pick_pane(top_vbox)
:  File "/usr/bin/desktopcouch-pair", line 468, in create_pick_pane
:    import desktopcouch.replication_services as services
:  File "/usr/lib/python2.7/site-packages/desktopcouch/replication_services/__init__.py", line 3, in <module>
:    import ubuntuone
:  File "/usr/lib/python2.7/site-packages/desktopcouch/replication_services/ubuntuone.py", line 6, in <module>
:    import ubuntu_sso
:ImportError: No module named ubuntu_sso

Comment 1 Richard Ruhland 2011-10-02 20:08:54 UTC
Package: desktopcouch-tools-0.6.9b-2.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
start program

Comment 2 Fedora End Of Life 2012-08-06 20:08:11 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora End Of Life 2012-08-06 20:08:12 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Egon Kastelijn 2012-08-07 19:05:12 UTC
This problem still exists in Fedora 17.
I'll attach a fresh backtrace.

Comment 5 Egon Kastelijn 2012-08-07 19:06:30 UTC
Created attachment 602834 [details]
backtrace under Fedora 17

Comment 6 Fedora End Of Life 2013-07-04 05:53:52 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2013-08-01 17:11:30 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Egon Kastelijn 2013-08-04 18:57:54 UTC
This problem still exists in Fedora 19.
-> reopening.

Comment 9 Fedora Update System 2013-09-05 23:01:55 UTC
desktopcouch-1.0.8-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/desktopcouch-1.0.8-1.fc18

Comment 10 Fedora Update System 2013-09-05 23:02:46 UTC
desktopcouch-1.0.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/desktopcouch-1.0.8-1.fc19

Comment 11 Fedora Update System 2013-09-05 23:04:06 UTC
desktopcouch-1.0.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/desktopcouch-1.0.8-1.fc20

Comment 12 Fedora Update System 2013-09-06 17:24:40 UTC
Package desktopcouch-1.0.8-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing desktopcouch-1.0.8-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15946/desktopcouch-1.0.8-1.fc20
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2013-09-17 00:25:37 UTC
desktopcouch-1.0.8-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2013-09-17 00:31:47 UTC
desktopcouch-1.0.8-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2013-09-23 00:41:59 UTC
desktopcouch-1.0.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.